php 5.3 compile problem

If none of the more specific forums is the right place to ask
Post Reply
Message
Author
debigokan
Posts: 48
Joined: 2016-09-03 15:54

php 5.3 compile problem

#1 Post by debigokan »

Hello

I am using Debian8. I need to compile php5.3. It's necessary for a job.
However, I am getting mistakes like the following when I compile.

Can you help me with this?

Errors:
/usr/bin/ld: warning: libkrb5.so.26, needed by //usr/lib/x86_64-linux-gnu/libgssapi.so.3, may conflict with libkrb5.so.3
ext/mysqli/mysqli.o: In function `php_local_infile_read':
/home/gokan/php-5.3.27/ext/mysqli/mysqli.c:1419: undefined reference to `client_errors'
ext/mysqli/mysqli.o: In function `memcpy':
/usr/include/x86_64-linux-gnu/bits/string3.h:53: undefined reference to `client_errors'
/usr/include/x86_64-linux-gnu/bits/string3.h:53: undefined reference to `client_errors'
/usr/include/x86_64-linux-gnu/bits/string3.h:53: undefined reference to `client_errors'
ext/mysqli/mysqli.o: In function `php_local_infile_init':
/home/gokan/php-5.3.27/ext/mysqli/mysqli.c:1372: undefined reference to `client_errors'
ext/mysqli/mysqli.o:/home/gokan/php-5.3.27/ext/mysqli/mysqli.c:1495: more undefined references to `client_errors' follow
collect2: error: ld returned 1 exit status
Makefile:275: recipe for target 'sapi/fpm/php-fpm' failed
make: *** [sapi/fpm/php-fpm] Error 1

Post Reply